> For the complete documentation index, see [llms.txt](https://developers.oxylabs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.oxylabs.io/products/cn/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md).

# 专用解析器

对于网页爬虫API的某些来源，我们已开发专用解析器。如果你想获取结构化数据，请添加 `parse` 参数，并将其设置为 `true`。更多详情请查看相应的目标页面。

<table><thead><tr><th width="180.33333333333331">目标</th><th width="294">来源</th><th>类型</th></tr></thead><tbody><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/eee0a29a7f9647fa3b2e30da2e23384bf6c62355"><strong>Amazon</strong></a></td><td><code>amazon</code>,<br><code>amazon_search</code>,<br><code>amazon_product</code>,<br><code>amazon_pricing</code>,<br><code>amazon_bestsellers</code>,<br><code>amazon_sellers</code></td><td>搜索<br>商品<br>报价列表<br>畅销商品<br>卖家</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/55be38a1fe24f7b9e3a53af4997ef9dffa756d02"><strong>Google</strong></a></td><td><code>google</code>,<br><code>google_search</code>,<br><code>google_ai_mode</code>,<br><code>google_ads</code>,<br><code>google_lens</code>,<br><code>google_scholar</code>,<br><code>google_shopping_search</code>,<br><code>google_shopping_product</code></td><td>网页搜索<br>图片搜索<br>新闻搜索<br>图书搜索<br>AI Overviews<br>AI 模式<br>最高广告率<br>Lens 搜索<br>学术搜索<br>Google Shopping 搜索<br>Google Shopping 商品</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/8ba7b9866933c07dbd89a241f943b688c3c9135e"><strong>YouTube</strong></a></td><td><code>youtube_search</code>,<br><code>youtube_video_trainability</code>,<br><code>youtube_metadata</code>,<br><code>youtube_subtitles</code>,<br><code>youtube_channel</code></td><td>搜索<br>视频可训练性<br>视频元数据<br>视频字幕<br>频道</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/5414181f8d47c5a679f1c84789e5f01a9369fc6e"><strong>ChatGPT</strong></a></td><td><code>chatgpt</code></td><td>聊天</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/40606655a6c636c934ea256709be66aefbc81e2c"><strong>Perplexity</strong></a></td><td><code>perplexity</code></td><td>聊天</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/2afd0b020d57c35d177da4677dbeb168d1674179"><strong>Bing</strong></a></td><td><code>bing</code>,<br><code>bing_search</code></td><td>搜索</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/5cca6604b970b9d2ca317408b08976226c204c56"><strong>Walmart</strong></a><br></td><td><code>walmart</code>,<br><code>walmart_search</code>,<br><code>walmart_product</code></td><td>搜索<br>商品</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/35fe3a0b3877dcd2984195778d0ece25b023fae3"><strong>Best Buy</strong></a></td><td><code>bestbuy_product</code></td><td>商品</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/5d427d8eb52691c40c3be1e8d150cb6ecdb6158a"><strong>Etsy</strong></a></td><td><code>etsy</code>,<br><code>etsy_product</code></td><td>商品</td></tr><tr><td><a href="/spaces/9AaN7B8HNpFdIYXcFlbw/pages/06c56398fe4318ad081aaf9c3a174b812b8420ee"><strong>目标</strong></a></td><td><code>target</code>,<br><code>target_search</code>,<br><code>target_product</code></td><td>搜索<br>商品</td></tr></tbody></table>

{% hint style="success" %}
如果你想从其他目标获取解析后的数据，请使用 [**自定义解析器**](/products/cn/web-scraper-api/features/custom-parser.md)**.**
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.oxylabs.io/products/cn/web-scraper-api/features/result-processing-and-storage/dedicated-parsers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
